import httpRequest from '@/utils/axios'

// 获取问答列表
export function getQuestionList(params?: { page_size?: number; page?: number }) {
  return httpRequest.get('/api/psp/v1/question/list', { params })
}

// 获取问答详情
export function getQuestionView(params: { id: string; page_size?: number; page?: number }) {
  return httpRequest.get('/api/psp/v1/question/view', { params })
}
// 发布问答
export function createQuestion(data: { title: string; desc: string; picture?: string; file?: string }) {
  return httpRequest.post('/api/psp/v1/question/create-question', data)
}

// 发布问答评论
export function createQuestionComment(data: { question_id: string; to_comment_id?: string; content: string }) {
  return httpRequest.post('/api/psp/v1/question/create-comment', data)
}
