import httpRequest from '@/utils/axios'

// 查询名片
export function getBusinessCard(params: {email: string;address: string}) {
  return httpRequest.get('/api/psp/v1/welfare/get-card',{params})
}
// 获取验证码
export function getPhoneCode(params: {phone:string;}) {
  return httpRequest.get('/api/psp/v1/welfare/send-code',{params})
}
// 查询证书
export function getCertificate(params: {phone:string;code:string}) {
  return httpRequest.get('/api/psp/v1/welfare/get-certificate',{params})
}
// 持证人权益-持证人列表

export function getLicenseList(params:{page_size?: number; page?: number}) {
  return httpRequest.get('/api/psp/v1/welfare/avatar-list',{params})
}
// 获取用户信息
export function getUserInfo() {
  return httpRequest.get('/api/psp/v1/my/info')
}
