import httpRequest from '@/utils/axios'

// 获取团队列表
export function getTeamList(params?: { page?: number; page_size?: number }) {
  return httpRequest.get('/api/psp/v1/team/list', { params })
}

// 创建团队
export function createTeam(data: { name: string; slogan: string; logo: string; brief: string }) {
  return httpRequest.post('/api/psp/v1/team/create-team', data)
}
